//+------------------------------------------------------------------+
//|                                             Gann HiLo - bars.mq4 |
//|                                                           mladen |
//|                                                                  |
//| Original introduced by Robert Krausz                             |
//| (February 1998, Stocks & Commodities Magazine                    |
//+------------------------------------------------------------------+
#property copyright "www.forex-tsd.com"
#property link      "www.forex-tsd.com"

#property indicator_chart_window
#property indicator_buffers 4
#property indicator_color1 Lime//Blue
#property indicator_width1 1
#property indicator_color2 Red
#property indicator_width2 1
#property indicator_color3 Lime//Blue
#property indicator_width3 3
#property indicator_color4 Red
#property indicator_width4 3

extern int Lb        = 15;// M-1 alleen vir nou********* NB

double Hlv[];
double hi[];
double lo[];
double op[];
double cl[];

int init() {
   IndicatorBuffers(5);
   SetIndexBuffer(0,hi); SetIndexDrawBegin(0,Lb+1); SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,lo); SetIndexDrawBegin(1,Lb+1); SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(2,op); SetIndexDrawBegin(2,Lb+1); SetIndexStyle(2,DRAW_HISTOGRAM);
   SetIndexBuffer(3,cl); SetIndexDrawBegin(3,Lb+1); SetIndexStyle(3,DRAW_HISTOGRAM);
   SetIndexBuffer(4,Hlv);
   return(0);
}

int start() {

   int counted_bars=IndicatorCounted();
   int i,limit;

   if (counted_bars<0) return(-1);
   if (counted_bars>0) counted_bars--;
           limit=Bars-counted_bars;

   for (i=limit;i>=0;i--) {
      Hlv[i] = Hlv[i+1];
      if (Close[i] > iMA(Symbol(),0,Lb,0,MODE_SMA,PRICE_HIGH,i+1)) Hlv[i] =  1;   //****SMMA*************
      if (Close[i] < iMA(Symbol(),0,Lb,0,MODE_SMA,PRICE_LOW,i+1))  Hlv[i] = -1;
   
      if (Hlv[i] == -1) { 
         lo[i] = High[i]; 
         hi[i] = Low[i]; 
         if (Open[i] > Close[i]) {
            op[i] = Close[i]; 
            cl[i] = Open[i]; 
         } else {
            op[i] = Open[i]; 
            cl[i] = Close[i]; 
         }
      } else { 
         hi[i] = High[i]; 
         lo[i] = Low[i]; 
         if (Open[i] > Close[i]) {
            op[i] = Open[i]; 
            cl[i] = Close[i]; 
         } else {
            op[i] = Close[i]; 
            cl[i] = Open[i]; 
         }
      }
   }
   return(0);
}

//=============================================================================+